Bug 75806 - (BIOS)crash with kernel parameter pci=biosirq
(BIOS)crash with kernel parameter pci=biosirq
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-12 16:52 EDT by Dr. Tilmann Bubeck
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dr. Tilmann Bubeck 2002-10-12 16:52:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.1) Gecko/20020827

Description of problem:
Booting Linux with kernel parameter pci=biosirq crashes the kernel right after
"Uncompressing linux". I see 2 or 3 more lines appearing and then the crash.
This happens to the kernel found on the installation disk (and used during
installation) and after installation with the "normal" kernel.

The bug did not occur using the kernels of redhat 7.3

I write down some of the information printed on the screen. However, I did not
wrote all the adresses. If you need more information, please contact me!


This happens only on my laptop (siemens-nixdorf m700) and not on other machines.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot using kernel parameter
2.
3.
	

Actual Results:  EIP is at Using_Versions ... [2.4.18-14]
...
Call Trace: pcibios_get_irq_routing_table
...isapnp_valid_mem
...stext
...pci_init
...init
...stext
...kernel_thread
...init

Code: ....
Kernel panic: Attempted to kill init!


Expected Results:  boot

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.